# eric7.WebBrowser.Network.NetworkManager

Module implementing a network manager class.

### Global Attributes

None

### Classes

NetworkManager | Class implementing a network manager.

### Functions

None

## NetworkManager

Class implementing a network manager.

### Signals

changed()
  emitted to indicate a change

### Derived from

QNetworkAccessManager

### Class Attributes

None

### Class Methods

None

### Methods

NetworkManager | Constructor
__load | Private method to load the permanent SSL error exceptions.
__save | Private slot to save the permanent SSL error exceptions.
__showAuthenticationErrorPage | Private method to show an authentication error page.
__sslErrorHandlingSlot | Private slot to handle SSL errors for a network reply.
authentication | Public slot to handle an authentication request.
certificateError | Public method to handle SSL certificate errors.
clearSslExceptions | Public method to clear the permanent SSL certificate error exceptions.
createRequest | Public method to launch a network action.
installUrlInterceptor | Public method to install an URL interceptor.
isInsecureHost | Public method to check a host against the list of insecure hosts.
languagesChanged | Public slot to (re-)load the list of accepted languages.
preferencesChanged | Public slot to handle a change of preferences.
proxyAuthentication | Public slot to handle a proxy authentication request.
removeUrlInterceptor | Public method to remove an URL interceptor.
showSslErrorExceptionsDialog | Public method to show the SSL error exceptions dialog.
shutdown | Public method to shut down the network manager.

### Static Methods

None

#### NetworkManager (Constructor)

NetworkManager(engine, parent=None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent object (QObject)

#### NetworkManager.__load

__load()

Private method to load the permanent SSL error exceptions.

#### NetworkManager.__save

__save()

Private slot to save the permanent SSL error exceptions.

#### NetworkManager.__showAuthenticationErrorPage

__showAuthenticationErrorPage(page, url)

Private method to show an authentication error page.

page (QWebEnginePage)
  reference to the page
url (QUrl)
  reference to the URL requesting authentication

#### NetworkManager.__sslErrorHandlingSlot

__sslErrorHandlingSlot(reply, errors)

Private slot to handle SSL errors for a network reply.

reply (QNetworkReply)
  reference to the reply object
errors (list of QSslError)
  list of SSL errors

#### NetworkManager.authentication

authentication(url, auth, page=None)

Public slot to handle an authentication request.

url (QUrl)
  URL requesting authentication
auth (QAuthenticator)
  reference to the authenticator object
page (QWebEnginePage or None)
  reference to the web page

#### NetworkManager.certificateError

certificateError(error, view)

Public method to handle SSL certificate errors.

error (QWebEngineCertificateError)
  object containing the certificate error information
view (QWidget)
  reference to a view to be used as parent for the dialog

Return:
  flag indicating to ignore this error

Return Type:
  bool

#### NetworkManager.clearSslExceptions

clearSslExceptions()

Public method to clear the permanent SSL certificate error exceptions.

#### NetworkManager.createRequest

createRequest(op, request, data)

Public method to launch a network action.

op (QNetworkAccessManager.Operation)
  operation to be performed
request (QNetworkRequest)
  request to be operated on
data (QIODevice)
  reference to the data to be sent

Return:
  reference to the network reply

Return Type:
  QNetworkReply

#### NetworkManager.installUrlInterceptor

installUrlInterceptor(interceptor)

Public method to install an URL interceptor.

interceptor (UrlInterceptor)
  URL interceptor to be installed

#### NetworkManager.isInsecureHost

isInsecureHost(host)

Public method to check a host against the list of insecure hosts.

host (str)
  name of the host to be checked

Return:
  flag indicating an insecure host

Return Type:
  bool

#### NetworkManager.languagesChanged

languagesChanged()

Public slot to (re-)load the list of accepted languages.

#### NetworkManager.preferencesChanged

preferencesChanged()

Public slot to handle a change of preferences.

#### NetworkManager.proxyAuthentication

proxyAuthentication(requestUrl, auth, proxyHost)

Public slot to handle a proxy authentication request.

requestUrl (QUrl)
  requested URL
auth (QAuthenticator)
  reference to the authenticator object
proxyHost (str)
  name of the proxy host

#### NetworkManager.removeUrlInterceptor

removeUrlInterceptor(interceptor)

Public method to remove an URL interceptor.

interceptor (UrlInterceptor)
  URL interceptor to be removed

#### NetworkManager.showSslErrorExceptionsDialog

showSslErrorExceptionsDialog()

Public method to show the SSL error exceptions dialog.

#### NetworkManager.shutdown

shutdown()

Public method to shut down the network manager.

Up